# Generated from groupme-cli-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name groupme-cli

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: A command-line interface for GroupMe
License: MIT
URL: https://gitlab.com/Bleu-Box/groupme-cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(colorize) >= 0.8.1
# BuildRequires: rubygem(colorize) < 0.9
# BuildRequires: rubygem(groupme) >= 0.0.7
# BuildRequires: rubygem(groupme) < 0.1
# BuildRequires: rubygem(hashie) >= 3.6.0
# BuildRequires: rubygem(hashie) < 3.7
BuildArch: noarch

%description
A command-line interface for GroupMe.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/groupme-cli.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
